Subject: Re: [Hipsec] multi6 summary

From: Pekka Nikander <[email-masked]>
Date: Mon, 6 Sep 2004 21:11:39 +0300

Thanks for a good report, Tom.

> This leaves problem v)-- the referrals problem for legacy applications
> and stacks.  The two main alternatives are to use IP addresses
> (locators) as upper-layer identifiers, or to use HITs as transport
> layer identifiers, and translate them to IP addresses for legacy
> applications and APIs.  Architecturally, the latter alternative
> is cleaner, but the former one may have advantage if the HIP
> exchange is delayed past the initial exchange...
>
> So in summary, it is my opinion (also expressed at the WG meeting)
> that nothing needs to be done to the base spec now to accommodate
> the multi6 problem.

I agree.

> One possible enhancement would be to suggest
> that implementations use IP addresses as application layer identifiers
> for legacy applications and sockets API.  There is some discussion
> of this problem in Appendix A of the base spec.  Maybe new base spec
> text is needed for that topic.

I think such an mode of operation would be very useful, and it would be
a good idea to have some more text in the base spec.

I have some initial ideas how to support such a feature in our
HIP implementation, but I don't know if we will implement it now.

--Pekka

_______________________________________________
Hipsec mailing list
[email-masked]
http://honor.trusecure.com/mailman/listinfo/hipsec